SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Router/Bridge/Hub)  >   DD-WRT Vendors:   dd-wrt.com
DD-WRT Web Interface Bug Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1022596
SecurityTracker URL:  http://securitytracker.com/id/1022596
CVE Reference:   CVE-2009-2765   (Links to External Site)
Updated:  Aug 17 2009
Original Entry Date:  Jul 23 2009
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): v24-sp1 and prior versions
Description:   A vulnerability was reported in DD-WRT. A remote user can cause arbitrary code to be executed on the target device.

A remote user can create a specially crafted URL that, when loaded by the target user on the internal network, will execute arbitrary commands on the target device. The code will run with root privileges.

A demonstration exploit URL is provided:

http://[target]/cgi-bin/;command_to_execute

The vulnerability can be exploited via Cross-Site Request Forgery attacks.

The original advisory is available at:

http://www.milw0rm.com/exploits/9209

gat3way reported this vulnerability.

Impact:   A remote user can create a URL that, when loaded by the target user on the internal network, will execute arbitrary code on the target user's system.
Solution:   The vendor has issued a temporary fix, available at:

http://www.dd-wrt.com/dd-wrtv2/down.php?path=downloads%2Fothers%2Feko%2FBrainSlayer-V24-preSP2%2F07-21-09-r12533/

Vendor URL:  www.dd-wrt.com/ (Links to External Site)
Cause:   Access control error, Input validation error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2020, SecurityGlobal.net LLC